<?php

namespace App\Http\Middleware;

use Closure;
use App\Providers\RouteServiceProvider;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class UserMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if(Auth::Check()){
            if(Auth::User()->roles == '0'){
                return $next($request);
            }
            else if((Auth::User()->roles == '1')){
                return redirect(RouteServiceProvider::ADMIN_HOME);
            }
            else if((Auth::User()->roles == '2')){
                return redirect(RouteServiceProvider::CLOSER_HOME);
            }
            return $next($request);
        }
    }
}
